/*
 *     Copyright (C) 2018 PLNech
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package fr.plnech.lifelogger.model

/**
 * A Log of events to track.
 */
class Log(
    val name: String,
    private val dataPoints: ArrayList<DataPoint> = ArrayList()
) {

    fun addPoint(dataPoint: DataPoint) {
        dataPoints.add(dataPoint)
    }

    override fun toString(): String {
        val b = StringBuilder("$name: ")
        dataPoints.forEach({ b.append(it).append(" | ") })
        return b.removeSuffix("| ").toString()
    }
}